error.h File Reference

Error functions - header file. More...

`#include <itpp/base/help_functions.h>`
`#include <itpp/itexports.h>`

Go to the source code of this file.

## Namespaces

| itpp
| itpp namespace

## Functions

std::complex< double > | itpp::erf (const std::complex< double > &z)
| Error function for complex argument. More...
double | itpp::erfinv (double x)
| Inverse of error function.
double | itpp::Qfunc (double x)
| Q-function.
vec | itpp::erf (const vec &x)
| Error function.
mat | itpp::erf (const mat &x)
| Error function.
cvec | itpp::erf (const cvec &x)
| Error function.
cmat | itpp::erf (const cmat &x)
| Error function.
vec | itpp::erfinv (const vec &x)
| Inverse of error function.
mat | itpp::erfinv (const mat &x)
| Inverse of error function.
vec | itpp::erfc (const vec &x)
| Complementary error function.
mat | itpp::erfc (const mat &x)
| Complementary error function.
vec | itpp::Qfunc (const vec &x)
| Q-function.
mat | itpp::Qfunc (const mat &x)
| Q-function.

## Detailed Description

Error functions - header file.

Author
  Tony Ottosson and Adam Piatyszek

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file error.h.

Generated on Thu Aug 20 2015 21:02:51 for IT++ by Doxygen 1.8.9.1